Bug 1066694 - RFE: As a project maintainer I would like to upload multiple source files simultaneously
RFE: As a project maintainer I would like to upload multiple source files sim...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
unspecified
Unspecified Unspecified
high Severity medium
: ---
: 3.5
Assigned To: David Mason
Damian Jansen
:
Depends On:
Blocks: 992629 1062835
  Show dependency treegraph
 
Reported: 2014-02-18 17:38 EST by Carlos Munoz
Modified: 2015-01-26 18:27 EST (History)
5 users (show)

See Also:
Fixed In Version: 3.5.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-1862)
Doc Type: Bug Fix
Doc Text:
Story Points: 5
Clone Of:
Environment:
Last Closed: 2015-01-26 18:27:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2014-02-18 17:38:59 EST
As a project maintainer I would like to upload multiple source files via the UI.

Notes:
- It is assumed we will find a suitable js library to allow the user to select multiple files to be uploaded with a single post. Possible candidates include http://www.dropzonejs.com/ and http://blueimp.github.io/jQuery-File-Upload/
- This story does not cover zip file upload.
- The server must reject unsupported files, indicating when it does so.
- There should be an admin configured setting for the maximum number of files allowed per upload.
- There will be manual testing involved for this story.
- Decision to be made whether to stream files or use temporary files. The latter may allow for parallel uploads.
Comment 1 Carlos Munoz 2014-02-19 01:25:02 EST
Secondary contacts: pahunag@redhat.com, lbrooker@redhat.com
Comment 11 Damian Jansen 2014-08-11 02:24:10 EDT
Verified.

Note You need to log in before you can comment on or make changes to this bug.